Vanity
These API endpoints are related to vanity codes on IGL
Resolve a vanity by its code or (then) its target id
code*stringThe vanity code
itag?stringResolve based on itag
Success
application/json- response
code?stringThe code of the vanity
created_at?stringThe time the vanity was created
date-timeitag?stringThe vanities internal ID.
uuidtarget_id?stringThe ID of the entity
target_type?stringThe type of the entity
curl -X GET 'https://spider.omniplex.gg/vanity/string'{ "code": "string", "created_at": "2019-08-24T14:15:22Z", "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "target_id": "string", "target_type": "string"}Resolve a vanity by its code or (then) its target id, then redirects to the API url. Useful for debugging mainly
code*stringThe vanity code
itag?stringResolve based on itag
Success
application/json- response
code?stringThe code of the vanity
created_at?stringThe time the vanity was created
date-timeitag?stringThe vanities internal ID.
uuidtarget_id?stringThe ID of the entity
target_type?stringThe type of the entity
curl -X GET 'https://spider.omniplex.gg/@string'{ "code": "string", "created_at": "2019-08-24T14:15:22Z", "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "target_id": "string", "target_type": "string"}Updates an entities vanity. Returns 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
application/json- body
code?stringThe new vanity code to use
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/string/string/vanity' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}